Arch - Radeon RX 480

This short guide will get your shiny new RX 480 working on Arch Linux with the new AMDGPU driver stack.

Requirements

  1. Kernel 4.7 or higher (I prefer the linux-zen kernel for better desktop responsiveness and it’s in the repo)
  2. llvm svn
  3. mesa 12.1.0

Linux

Most, if not all, kernels available in the Arch repository are version 4.7 or higher. linux-zen can be installed for better desktop responsiveness.

llvm

llvm-svn has a user repository which means you will not need to compile it from source. Compiling from source can take hours and on my system it no longer successfully builds.

https://wiki.archlinux.org/index.php/unofficial_user_repositories#llvm-svn

mesa

Search for mesa-git and install mesa-git, lib32-mesa-git, and opencl-mesa-git. This will require you to compile from source.

1
2
3
4
5
6
1 aur/lib32-mesa-git 12.1.0_devel.84226.00c72ac-1 (27) (0.84)
an open-source implementation of the OpenGL specification (32-bit)
2 aur/mesa-git 12.1.0_devel.84226.00c72ac-1 (142) (1.46)
an open-source implementation of the OpenGL specification, git version
3 aur/opencl-mesa-git 12.1.0_devel.84226.00c72ac-1 (142) (1.46)
OpenCL support for AMD/ATI Radeon Mesa drivers

amdgpu

  1. Install the xf86-video-amdgpu package.

  2. Create a new file named /etc/X11/xorg.conf.d/20-amdgpu.conf

    • 1
      2
      3
      4
      5
      6
      Section "Device"
      Identifier "AMDGPU"
      Driver "amdgpu"
      Option "AccelMethod" "glamor"
      Option "DRI" "3"
      EndSection

Firmware

Place the RX 480 firmware (Polaris 10) from here into /lib/firmware/amdgpu.


Update 11/30/2016

Arch now has mesa 13.0 in the official repository.

1
2
$ sudo pacman -R lib32-libva-mesa-driver-git mesa-vulkan-intel-git lib32-vulkan-icd-loader clang-compiler-rt-svn
$ sudo pacman -S mesa lib32-mesa lib32-mesa-vdpau mesa-libgl opencl-mesa lib32-mesa-libgl libva-mesa-driver mesa-vdpau lib32-libva libva libva-mesa-driver llvm lib32-llvm lib32-llvm-libs llvm clang lib32-clang llvm-ocaml clang-tools-extra